> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cradl.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Agent Graphs

> List Agent Graphs



## OpenAPI

````yaml /api-reference/openapi.json get /agents/{agentId}/graph
openapi: 3.1.0
info:
  title: Cradl API
  version: '2026-10-30T08:22:46Z'
servers:
  - url: https://api.cradl.ai/{basePath}
    variables:
      basePath:
        default: v1
security: []
paths:
  /agents/{agentId}/graph:
    get:
      parameters:
        - in: path
          name: agentId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentGraph'
          description: 200 response
          headers:
            Access-Control-Allow-Headers:
              schema:
                type: string
            Access-Control-Allow-Origin:
              schema:
                type: string
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: 400 response
          headers:
            Access-Control-Allow-Headers:
              schema:
                type: string
            Access-Control-Allow-Origin:
              schema:
                type: string
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: 403 response
          headers:
            Access-Control-Allow-Headers:
              schema:
                type: string
            Access-Control-Allow-Origin:
              schema:
                type: string
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: 404 response
          headers:
            Access-Control-Allow-Headers:
              schema:
                type: string
            Access-Control-Allow-Origin:
              schema:
                type: string
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: 409 response
          headers:
            Access-Control-Allow-Headers:
              schema:
                type: string
            Access-Control-Allow-Origin:
              schema:
                type: string
        '410':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: 410 response
          headers:
            Access-Control-Allow-Headers:
              schema:
                type: string
            Access-Control-Allow-Origin:
              schema:
                type: string
        '415':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: 415 response
          headers:
            Access-Control-Allow-Headers:
              schema:
                type: string
            Access-Control-Allow-Origin:
              schema:
                type: string
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: 500 response
          headers:
            Access-Control-Allow-Headers:
              schema:
                type: string
            Access-Control-Allow-Origin:
              schema:
                type: string
      security:
        - OAuth2:
            - workflows:read
components:
  schemas:
    AgentGraph:
      title: graph
      required:
        - agentId
        - edges
        - layout
        - nodes
      type: object
      properties:
        layout:
          type: object
          additionalProperties:
            required:
              - x
              - 'y'
            type: object
            properties:
              x:
                type: number
              'y':
                type: number
            additionalProperties: false
        agentId:
          pattern: >-
            ^cradl:agent:[a-f0-9]{32}(|:[0-9]+|:@[a-z0-9_-]+|:\$latest|:\$draft)$
          type: string
        nodes:
          type: array
          items:
            required:
              - id
              - isMember
              - type
            type: object
            properties:
              functionId:
                type: object
              name:
                maxLength: 4096
                type: string
                nullable: true
              id:
                type: string
              isMember:
                type: boolean
              trigger:
                type: string
              type:
                type: string
                enum:
                  - action
                  - function
                  - hook
                  - model
                  - validation
            additionalProperties: false
        edges:
          type: array
          items:
            required:
              - from
              - kind
              - to
            type: object
            properties:
              kind:
                type: string
                enum:
                  - event
                  - trueAction
                  - falseAction
                  - functionId
                  - modelId
                  - validationId
                  - formatter
                  - validator
                  - condition
              qualifier:
                type: string
              from:
                type: string
              to:
                type: string
            additionalProperties: false
      additionalProperties: false
    Error:
      title: Error Schema
      type: object
      properties:
        message:
          type: string
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://auth.cradl.ai/oauth2/token
          scopes:
            actions.runs:read: Read permissions
            actions.runs:write: Write permissions
            actions:read: Read permissions
            actions:write: Write permissions
            agents.runs:read: Read permissions
            agents.runs:write: Write permissions
            agents.statistics:read: Read permissions
            agents:read: Read permissions
            agents:write: Write permissions
            appclients:read: Read permissions
            appclients:write: Write permissions
            documents:read: Read permissions
            documents:write: Write permissions
            hooks.runs:read: Read permissions
            hooks.runs:write: Write permissions
            hooks:read: Read permissions
            hooks:write: Write permissions
            logs:read: Read permissions
            models:read: Read permissions
            models:write: Write permissions
            organizations:read: Read permissions
            organizations:write: Write permissions
            predictions:read: Read permissions
            predictions:write: Write permissions
            users:read: Read permissions
            users:write: Write permissions
            validations.tasks:read: Read permissions
            validations.tasks:write: Write permissions
            validations:read: Read permissions
            validations:write: Write permissions
            workflows:read: Read permissions
            workflows:write: Write permissions

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.